Page MenuHomePhabricator

enlightenment-0.22.4 doesn't install '/usr/share/wayland-sessions/enlightenment.desktop' with '--enable-wayland'
Closed, ResolvedPublic

Description

enlightenment-0.22.4 doesn't install '/usr/share/wayland-sessions/enlightenment.desktop' with --enable-wayland but it does install this file with --disable-wayland.

'/usr/share/xsessions/enlightenment.desktop' gets installed everytime, regardless of wayland option.

Now I know this isn't a huge deal since both files are identical and X/wayland is decided by your login manager, but I just saw this 'mismatch' and found it interesting, worthy of a report.

juippis created this task.Sep 18 2018, 2:27 AM
ProhtMeyhet added projects: enlightenment-git, Restricted Project, Restricted Project.Sep 22 2018, 10:30 AM
RCalixte added a subscriber: RCalixte.EditedOct 10 2019, 7:04 AM

This was fixed in https://phab.enlightenment.org/D9868 and should make it into the next major release, but can hopefully make it into the next minor release.

RCalixte closed this task as Resolved.Oct 13 2019, 10:48 PM

This was fixed in https://phab.enlightenment.org/D9868 and should make it into the next major release, but can hopefully make it into the next minor release.

sounds like a job for @zmike :-)